<div class="row">
    <div class="column" style="width:50%; display:flex;">
        <div class="side-item fontSize topic" style="font-size: 18px;">
            <div style="display: flex;margin-right: 10px;cursor: pointer;" routerLink="/listCheck">
                <img src="../../../../assets/img/icons/icon-manual.png" style="margin-right: 10px;">รายการเช็คชื่อ </div>/ เช็คชื่อด้วยมือ
        </div>
    </div>
    <div class="column1" style="width:50%;display:flex;">
        <mat-form-field appearance="outline" class="search">
            <mat-label>Search</mat-label>
            <input matInput (keyup)="applyFilter($event.target.value)">
            <mat-icon matSuffix class="fontSize">search</mat-icon>
        </mat-form-field>
    </div>
</div>
<div class="side"></div>
<br>
<div class="table-head head">ขาดเรียน</div>
<div class="mat-elevation-z0" style="width: 95%;margin: auto;margin-bottom: 50px; 
border-left: 1px solid #c9c7c7; border-right:1px solid #c9c7c7; border-bottom: 1px solid #c9c7c7;">
    <table mat-table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 10%;"> ลำดับ </th>
            <td mat-cell *matCellDef="let row" class="table-list"> {{row.id}} </td>
        </ng-container>


        <ng-container matColumnDef="username">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 20%;"> รหัสผู้ใช้
            </th>
            <td mat-cell *matCellDef="let row" class="table-list"> {{row.username}} </td>
        </ng-container>


        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 20%;"> ชื่อ - นามสกุล
            </th>
            <td mat-cell *matCellDef="let row" class="table-list"> {{row.name}} </td>
        </ng-container>


        <ng-container matColumnDef="onTime">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 10%;"> ทันเวลา </th>
            <td mat-cell *matCellDef="let row" class="table-list">
                <label class="container">
                    <input type="radio" name="radio{{row.username}}" value="onTime"
                        (change)="setValue($event.target.value,row.id,row.username)">
                    <input type="radio" name="radio{{row.username}}" value="onTime" checked *ngIf="row.status=='onTime'"
                        (change)="setValue($event.target.value,row.id,row.username)">
                    <span class="checkmark"></span>
                </label>
            </td>
        </ng-container>

        <ng-container matColumnDef="late">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 10%;"> มาสาย </th>
            <td mat-cell *matCellDef="let row" class="table-list">
                <label class="container">
                    <input type="radio" name="radio{{row.username}}" value="late"
                        (change)="setValue($event.target.value,row.id,row.username)">
                    <input type="radio" name="radio{{row.username}}" value="late" checked *ngIf="row.status=='late'"
                        (change)="setValue($event.target.value,row.id,row.username)">
                    <span class="checkmark"></span>
                </label>
        </ng-container>

        <ng-container matColumnDef="leave">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 10%;"> ลากิจ </th>
            <td mat-cell *matCellDef="let row" class="table-list">
                <label class="container">
                    <input type="radio" name="radio{{row.username}}" value="leave"
                        (change)="setValue($event.target.value,row.id,row.username)">
                    <input type="radio" name="radio{{row.username}}" value="leave" checked *ngIf="row.status=='leave'"
                        (change)="setValue($event.target.value,row.id,row.username)">
                    <span class="checkmark"></span>
                </label>
        </ng-container>

        <ng-container matColumnDef="sick">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 10%;"> ลาป่วย </th>
            <td mat-cell *matCellDef="let row" class="table-list">
                <label class="container">
                    <input type="radio" name="radio{{row.username}}" value="sick"
                        (change)="setValue($event.target.value,row.id,row.username)">
                    <input type="radio" name="radio{{row.username}}" value="sick" checked *ngIf="row.status=='sick'"
                        (change)="setValue($event.target.value,row.id,row.username)">
                    <span class="checkmark"></span>
                </label>
        </ng-container>

        <ng-container matColumnDef="notSendLeave">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head" style="width: 10%;"> ไม่ส่งใบลา
            </th>
            <td mat-cell *matCellDef="let row" class="table-list">
                <label class="container">
                    <input type="radio" name="radio{{row.username}}" value="notSendLeave"
                        (change)="setValue($event.target.value,row.id,row.username)">
                    <input type="radio" name="radio{{row.username}}" value="notSendLeave" checked
                        *ngIf="row.status=='notSendLeave'" (change)="setValue($event.target.value,row.id,row.username)">
                    <span class="checkmark"></span>
                </label>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr class="example-element-row" mat-row *matRowDef="let row; columns: displayedColumns;">
        </tr>
    </table>

</div>
<!-- <div style="margin:auto; text-align: right;">
    <button mat-raised-button  class="w-40" style="background-color: #999999; " (click)=createTable()>
        ยกเลิก
    </button>
    <button mat-raised-button class="w-40" color="primary" style="margin-right: 3%;margin-left: 20px;" (click)=getValue() >
        ยืนยัน
    </button>
    
</div> -->